Subject: Re: [PATCH net-next v7 08/26] selftests/vsock: improve logging in vmtest.sh

From: Jakub Kicinski <[email-masked]>
Date: Tue, 21 Oct 2025 17:01:47 -0700

On Tue, 21 Oct 2025 16:46:51 -0700 Bobby Eshleman wrote:
> Improve usability of logging functions. Remove the test name prefix from
> logging functions so that logging calls can be made deeper into the call
> stack without passing down the test name or setting some global. Teach
> log function to accept a LOG_PREFIX variable to avoid unnecessary
> argument shifting.
> 
> Remove log_setup() and instead use log_host(). The host/guest prefixes
> are useful to show whether a failure happened on the guest or host side,
> but "setup" doesn't really give additional useful information. Since all
> log_setup() calls happen on the host, lets just use log_host() instead.

And this cannot be posted separately / before the rest? I don't think
this series has to be 26 patches long.

I'm dropping this from PW, please try to obey the local customs :(